Merge remote-tracking branch 'origin/master' into identity_abe
[oweals/gnunet.git] / src / credential / test_credential_issue_rest.sh
1 #!/bin/bash
2 trap "gnunet-arm -e -c test_credential_lookup.conf" SIGINT
3
4 LOCATION=$(which gnunet-config)
5 if [ -z $LOCATION ]
6 then
7   LOCATION="gnunet-config"
8 fi
9 $LOCATION --version 1> /dev/null
10 if test $? != 0
11 then
12         echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX"
13         exit 77
14 fi
15
16 rm -rf `gnunet-config -c test_credential_lookup.conf -s PATHS -o GNUNET_HOME -f`
17
18 #  (1) PKEY1.user -> PKEY2.resu.user
19 #  (2) PKEY2.resu -> PKEY3
20 #  (3) PKEY3.user -> PKEY4
21
22
23 which timeout &> /dev/null && DO_TIMEOUT="timeout 30"
24
25 TEST_ATTR="test"
26 gnunet-arm -s -c test_credential_lookup.conf
27 gnunet-arm -i gns
28 gnunet-arm -i credential
29 gnunet-arm -i identity
30 gnunet-arm -i rest -c test_credential_lookup.conf
31
32 gnunet-arm -I -c test_credential_lookup.conf
33 gnunet-identity -C testissuer -c test_credential_lookup.conf
34 gnunet-identity -C testsubject -c test_credential_lookup.conf
35 gnunet-identity -s credential-issuer -e testissuer
36 SUBJECT_KEY=$(gnunet-identity -d -c test_credential_lookup.conf | grep testsubject | awk '{print $3}')
37 ISSUER_KEY=$(gnunet-identity -d -c test_credential_lookup.conf | grep testissuer | awk '{print $3}')
38 #TODO1 Get credential and store it with subject (3)
39 sleep 5
40 curl "localhost:7776/credential/issue?subject_key=$SUBJECT_KEY&attribute=$TEST_ATTR&expiration=1d"
41 #CRED=`$DO_TIMEOUT gnunet-credential --issue --ego=testissuer --subject=$SUBJECT_KEY --attribute=$TEST_ATTR --ttl=5m -c test_credential_lookup.conf`
42 STATUS=$?
43
44 if test $? != 0
45 then
46   echo "Error issuing..."
47   exit 1
48 fi
49 #Try import
50 #$DO_TIMEOUT gnunet-namestore -a -z testsubject -n c1 -t CRED -V "$CRED" -e 5m -c test_credential_lookup.conf
51 RES=$?
52 gnunet-arm -e -c test_credential_lookup.conf
53 exit $RES